'''
Test the gridfs support
'''
import time

from unittest import TestCase
from collections import defaultdict

import mock

from ming import create_datastore
from ming import fs, Session

def mock_datastore():
    ds = mock.Mock()
    ds.db = defaultdict(mock_collection)
    return ds

def mock_collection():
    c = mock.Mock()
    c.find_one = mock.Mock(return_value={})
    return c


class TestFS(TestCase):

    def setUp(self):
        self.ds = create_datastore('mim:///test')
        self.Session = Session(bind=self.ds)
        self.TestFS = fs.filesystem(
            'test_fs', self.Session)

    def tearDown(self):
        self.ds.bind.drop_all()
